﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TransportGuide
{
	public partial class FormMain : Form
	{
		public FormMain()
		{
			InitializeComponent();
		}

		private void FormMain_Load(object sender, EventArgs e)
		{

		}


		private void transportTypeToolStripMenuItem_Click(object sender, EventArgs e)
		{
			var service = Program.ServiceProvider?.GetService(typeof(FormTransportTypes));

			if (service is FormTransportTypes form)
			{
				form.ShowDialog();
			}
			
		}

		private void stopToolStripMenuItem_Click(object sender, EventArgs e)
		{
			var service = Program.ServiceProvider?.GetService(typeof(FormStops));

			if (service is FormStops form)
			{
				form.ShowDialog();
			}
		}

		private void routeToolStripMenuItem_Click(object sender, EventArgs e)
		{
			var service = Program.ServiceProvider?.GetService(typeof(FormRoutes));

			if (service is FormRoutes form)
			{
				form.ShowDialog();
			}
		}

		private void testsToolStripMenuItem_Click(object sender, EventArgs e)
		{
			var service = Program.ServiceProvider?.GetService(typeof(FormTests));

			if (service is FormTests form)
			{
				form.ShowDialog();
			}
		}
	}
}
