﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TransportGuideDataModels.Models;

namespace TransportGuideContracts.BindingModels
{
	public class RouteBindingModel : IRouteModel
	{
		public string Name { get; set; } = string.Empty;

		public string IP { get; set; } = string.Empty;

		public int TransportTypeId { get; set; }

		public Dictionary<int, (IStopModel, int)> StopRoutes { get; set; } = new();

		public int Id { get; set; }
	}
}
