﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TransportGuideContracts.BindingModels;
using TransportGuideContracts.SearchModels;
using TransportGuideContracts.ViewModels;

namespace TransportGuideContracts.BusinessLogicsContracts
{
	public interface IRouteLogic
	{
		List<RouteViewModel>? ReadList(RouteSearchModel? model);
		RouteViewModel? ReadElement(RouteSearchModel model);
		bool Create(RouteBindingModel model);
		bool Update(RouteBindingModel model);
		bool Delete(RouteBindingModel model);
		string TestInsertList(int num);
		string TestReadList(int num);
	}
}
