﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TransportGuideDataModels.Models;
using System.ComponentModel;

namespace TransportGuideContracts.ViewModels
{
	public class RouteViewModel : IRouteModel
	{
		[DisplayName("Rout's name")]
		public string Name { get; set; } = string.Empty;
		[DisplayName("Rout's IP")]
		public string IP { get; set; } = string.Empty;

		public int TransportTypeId { get; set; }
		[DisplayName("TransportType")]
		public string TransportTypeName { get; set; } = string.Empty;

		public Dictionary<int, (IStopModel, int)> StopRoutes { get; set; } = new();

		public int Id { get; set; }
	}
}
