﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TransportGuideContracts.BindingModels;
using TransportGuideContracts.SearchModels;
using TransportGuideContracts.ViewModels;

namespace TransportGuideContracts.StoragesContracts
{
	public interface IStopStorage
	{
		List<StopViewModel> GetFullList();
		List<StopViewModel> GetFilteredList(StopSearchModel model);
		StopViewModel? GetElement(StopSearchModel model);
		StopViewModel? Insert(StopBindingModel model);
		StopViewModel? Update(StopBindingModel model);
		StopViewModel? Delete(StopBindingModel model);
	}
}
