﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TransportGuideContracts.BindingModels;
using TransportGuideContracts.SearchModels;
using TransportGuideContracts.ViewModels;

namespace TransportGuideContracts.StoragesContracts
{
	public interface ITransportTypeStorage
	{
		List<TransportTypeViewModel> GetFullList();
		List<TransportTypeViewModel> GetFilteredList(TransportTypeSearchModel model);
		TransportTypeViewModel? GetElement(TransportTypeSearchModel model);
		TransportTypeViewModel? Insert(TransportTypeBindingModel model);
		TransportTypeViewModel? Update(TransportTypeBindingModel model);
		TransportTypeViewModel? Delete(TransportTypeBindingModel model);
	}
}
